com.mapinfo.midev.data

## Interface IDataSourceTableListener

All Superinterfaces:
  EventListener

    public interface IDataSourceTableListener
    extends EventListener

Classes that are interested in changes to `IDataSourceTable`'s should implement this interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `tableClosed(TableClosedEvent tableClosedEvent)` Listeners are notified when the `IDataSourceTable`, as specified by `TableClosedEvent.getSource()`.

### Method Detail

#### tableClosed

    void tableClosed(TableClosedEvent tableClosedEvent)

Listeners are notified when the `IDataSourceTable`, as specified by `TableClosedEvent.getSource()`. Listeners should assume that the `IDataSourceTable` that was closed is in fact closed and any operations on the `IDataSourceTable` will fail.

Parameters:
  `tableClosedEvent` - event information.